Index: kernel/infocollector/function_definition.php
===================================================================
--- kernel/infocollector/function_definition.php	(revision 20539)
+++ kernel/infocollector/function_definition.php	(working copy)
@@ -34,8 +34,7 @@
 
 $FunctionList['collected_info_count'] = array( 'name' => 'collected_info_count',
                                                'operation_types' => array( 'read' ),
-                                               'call_method' => array( 'include_file' => 'kernel/infocollector/ezinfocollectorfunctioncollection.php',
-                                                                       'class' => 'eZInfocollectorFunctionCollection',
+                                               'call_method' => array( 'class' => 'eZInfocollectorFunctionCollection',
                                                                        'method' => 'fetchCollectedInfoCount' ),
                                                'parameter_type' => 'standard',
                                                'parameters' => array( array( 'name' => 'object_attribute_id',
@@ -61,8 +60,7 @@
 
 $FunctionList['collected_info_count_list'] = array( 'name' => 'collected_info_count_list',
                                                'operation_types' => array( 'read' ),
-                                               'call_method' => array( 'include_file' => 'kernel/infocollector/ezinfocollectorfunctioncollection.php',
-                                                                       'class' => 'eZInfocollectorFunctionCollection',
+                                               'call_method' => array( 'class' => 'eZInfocollectorFunctionCollection',
                                                                        'method' => 'fetchCollectedInfoCountList' ),
                                                'parameter_type' => 'standard',
                                                'parameters' => array( array( 'name' => 'object_attribute_id',
@@ -73,8 +71,7 @@
 
 $FunctionList['collected_info_collection'] = array( 'name' => 'collected_info_collection',
                                                     'operation_types' => array( 'read' ),
-                                                    'call_method' => array( 'include_file' => 'kernel/infocollector/ezinfocollectorfunctioncollection.php',
-                                                                            'class' => 'eZInfocollectorFunctionCollection',
+                                                    'call_method' => array( 'class' => 'eZInfocollectorFunctionCollection',
                                                                             'method' => 'fetchCollectedInfoCollection' ),
                                                     'parameter_type' => 'standard',
                                                     'parameters' => array( array( 'name' => 'collection_id',
@@ -88,8 +85,7 @@
 
 $FunctionList['collected_info_list'] = array( 'name' => 'collected_info_list',
                                                     'operation_types' => array( 'read' ),
-                                                    'call_method' => array( 'include_file' => 'kernel/infocollector/ezinfocollectorfunctioncollection.php',
-                                                                            'class' => 'eZInfocollectorFunctionCollection',
+                                                    'call_method' => array( 'class' => 'eZInfocollectorFunctionCollection',
                                                                             'method' => 'fetchCollectionsList' ),
                                                     'parameter_type' => 'standard',
                                                     'parameters' => array( array( 'name' => 'object_id',
Index: kernel/url/function_definition.php
===================================================================
--- kernel/url/function_definition.php	(revision 20539)
+++ kernel/url/function_definition.php	(working copy)
@@ -32,8 +32,7 @@
 $FunctionList = array();
 $FunctionList['list'] = array( 'name' => 'list',
                                'operation_types' => array( 'read' ),
-                               'call_method' => array( 'include_file' => 'kernel/url/ezurlfunctioncollection.php',
-                                                       'class' => 'eZURLFunctionCollection',
+                               'call_method' => array( 'class' => 'eZURLFunctionCollection',
                                                        'method' => 'fetchList' ),
                                       'parameter_type' => 'standard',
                                       'parameters' => array( array( 'name' => 'is_valid',
@@ -50,8 +49,7 @@
                                                                     'default' => false ) ) );
 $FunctionList['list_count'] = array( 'name' => 'list_count',
                                'operation_types' => array( 'read' ),
-                               'call_method' => array( 'include_file' => 'kernel/url/ezurlfunctioncollection.php',
-                                                       'class' => 'eZURLFunctionCollection',
+                               'call_method' => array( 'class' => 'eZURLFunctionCollection',
                                                        'method' => 'fetchListCount' ),
                                       'parameter_type' => 'standard',
                                       'parameters' => array( array( 'name' => 'is_valid',
Index: kernel/section/function_definition.php
===================================================================
--- kernel/section/function_definition.php	(revision 20539)
+++ kernel/section/function_definition.php	(working copy)
@@ -32,8 +32,7 @@
 $FunctionList = array();
 
 $FunctionList['object'] = array( 'name' => 'object',
-                                 'call_method' => array( 'include_file' => 'kernel/section/ezsectionfunctioncollection.php',
-                                                         'class' => 'eZSectionFunctionCollection',
+                                 'call_method' => array( 'class' => 'eZSectionFunctionCollection',
                                                          'method' => 'fetchSectionObject' ),
                                  'parameter_type' => 'standard',
                                  'parameters' => array( array( 'name' => 'section_id',
@@ -41,15 +40,13 @@
                                                                'required' => true ) ) );
 
 $FunctionList['list'] = array( 'name' => 'list',
-                               'call_method' => array( 'include_file' => 'kernel/section/ezsectionfunctioncollection.php',
-                                                       'class' => 'eZSectionFunctionCollection',
+                               'call_method' => array( 'class' => 'eZSectionFunctionCollection',
                                                        'method' => 'fetchSectionList' ),
                                'parameter_type' => 'standard',
                                'parameters' => array( ) );
 
 $FunctionList['object_list'] = array( 'name' => 'object_list',
-                                      'call_method' => array( 'include_file' => 'kernel/section/ezsectionfunctioncollection.php',
-                                                              'class' => 'eZSectionFunctionCollection',
+                                      'call_method' => array( 'class' => 'eZSectionFunctionCollection',
                                                               'method' => 'fetchObjectList' ),
                                       'parameter_type' => 'standard',
                                       'parameters' => array( array( 'name' => 'section_id',
@@ -73,8 +70,7 @@
                                                                     'default' => false ) ) );
 
 $FunctionList['object_list_count'] = array( 'name' => 'object_list_count',
-                                            'call_method' => array( 'include_file' => 'kernel/section/ezsectionfunctioncollection.php',
-                                                                    'class' => 'eZSectionFunctionCollection',
+                                            'call_method' => array( 'class' => 'eZSectionFunctionCollection',
                                                                     'method' => 'fetchObjectListCount' ),
                                             'parameter_type' => 'standard',
                                             'parameters' => array( array( 'name' => 'section_id',
@@ -86,8 +82,7 @@
                                                                           'default' => false ) ) );
 
 $FunctionList['roles'] = array( 'name' => 'roles',
-                                'call_method' => array( 'include_file' => 'kernel/section/ezsectionfunctioncollection.php',
-                                                        'class' => 'eZSectionFunctionCollection',
+                                'call_method' => array( 'class' => 'eZSectionFunctionCollection',
                                                         'method' => 'fetchRoles' ),
                                 'parameter_type' => 'standard',
                                 'parameters' => array( array( 'name' => 'section_id',
@@ -95,8 +90,7 @@
                                                               'required' => true ) ) );
 
 $FunctionList['user_roles'] = array( 'name' => 'user_roles',
-                                     'call_method' => array( 'include_file' => 'kernel/section/ezsectionfunctioncollection.php',
-                                                             'class' => 'eZSectionFunctionCollection',
+                                     'call_method' => array( 'class' => 'eZSectionFunctionCollection',
                                                              'method' => 'fetchUserRoles' ),
                                      'parameter_type' => 'standard',
                                      'parameters' => array( array( 'name' => 'section_id',
Index: kernel/class/function_definition.php
===================================================================
--- kernel/class/function_definition.php	(revision 20539)
+++ kernel/class/function_definition.php	(working copy)
@@ -32,8 +32,7 @@
 $FunctionList = array();
 $FunctionList['list'] = array( 'name' => 'list',
                                'operation_types' => array( 'read' ),
-                               'call_method' => array( 'include_file' => 'kernel/class/ezclassfunctioncollection.php',
-                                                       'class' => 'eZClassFunctionCollection',
+                               'call_method' => array( 'class' => 'eZClassFunctionCollection',
                                                        'method' => 'fetchClassList' ),
                                'parameter_type' => 'standard',
                                'parameters' => array( array( 'name' => 'class_filter',
@@ -46,8 +45,7 @@
                                                              'default' => array() ) ) );
 
 $FunctionList['latest_list'] = array( 'operation_types' => array( 'read' ),
-                                      'call_method' => array( 'include_file' => 'kernel/class/ezclassfunctioncollection.php',
-                                                              'class' => 'eZClassFunctionCollection',
+                                      'call_method' => array( 'class' => 'eZClassFunctionCollection',
                                                               'method' => 'fetchLatestClassList' ),
                                       'parameter_type' => 'standard',
                                       'parameters' => array( array( 'name' => 'offset',
@@ -61,8 +59,7 @@
 
 $FunctionList['attribute_list'] = array( 'name' => 'attribute_list',
                                          'operation_types' => array( 'read' ),
-                                         'call_method' => array( 'include_file' => 'kernel/class/ezclassfunctioncollection.php',
-                                                                 'class' => 'eZClassFunctionCollection',
+                                         'call_method' => array( 'class' => 'eZClassFunctionCollection',
                                                                  'method' => 'fetchClassAttributeList' ),
                                          'parameter_type' => 'standard',
                                          'parameters' => array( array( 'name' => 'class_id',
@@ -73,12 +70,11 @@
 
 $FunctionList['override_template_list'] = array( 'name' => 'override_template_list',
                                                            'operation_types' => array( 'read' ),
-                                                           'call_method' => array( 'include_file' => 'kernel/class/ezclassfunctioncollection.php',
-                                                           'class' => 'eZClassFunctionCollection',
-                                                           'method' => 'fetchOverrideTemplateList' ),
-                                                           'parameter_type' => 'standard',
-                                                           'parameters' => array( array( 'name' => 'class_id',
-                                                                                         'type' => 'integer',
-                                                                                         'required' => true ) ) );
+                                                           'call_method' => array( 'class' => 'eZClassFunctionCollection',
+                                                                                   'method' => 'fetchOverrideTemplateList' ),
+                                                 'parameter_type' => 'standard',
+                                                 'parameters' => array( array( 'name' => 'class_id',
+                                                                               'type' => 'integer',
+                                                                               'required' => true ) ) );
 
 ?>
Index: kernel/search/function_definition.php
===================================================================
--- kernel/search/function_definition.php	(revision 20539)
+++ kernel/search/function_definition.php	(working copy)
@@ -32,15 +32,13 @@
 $FunctionList = array();
 $FunctionList['list_count'] = array( 'name' => 'list_count',
                                      'operation_types' => array( 'read' ),
-                                     'call_method' => array( 'include_file' => 'kernel/search/ezsearchfunctioncollection.php',
-                                                       'class' => 'eZSearchFunctionCollection',
-                                                       'method' => 'fetchSearchListCount' ),
+                                     'call_method' => array( 'class' => 'eZSearchFunctionCollection',
+                                                             'method' => 'fetchSearchListCount' ),
                                       'parameter_type' => 'standard',
                                       'parameters' => array() );
 $FunctionList['list'] = array( 'name' => 'list',
                                'operation_types' => array( 'read' ),
-                               'call_method' => array( 'include_file' => 'kernel/search/ezsearchfunctioncollection.php',
-                                                       'class' => 'eZSearchFunctionCollection',
+                               'call_method' => array( 'class' => 'eZSearchFunctionCollection',
                                                        'method' => 'fetchSearchList' ),
                                       'parameter_type' => 'standard',
                                       'parameters' => array( array( 'name' => 'offset',
Index: kernel/shop/function_definition.php
===================================================================
--- kernel/shop/function_definition.php	(revision 20539)
+++ kernel/shop/function_definition.php	(working copy)
@@ -32,16 +32,14 @@
 $FunctionList = array();
 $FunctionList['basket'] = array( 'name' => 'basket',
                                  'operation_types' => array( 'read' ),
-                                 'call_method' => array( 'include_file' => 'kernel/shop/ezshopfunctioncollection.php',
-                                                         'class' => 'eZShopFunctionCollection',
+                                 'call_method' => array( 'class' => 'eZShopFunctionCollection',
                                                          'method' => 'fetchBasket' ),
                                  'parameter_type' => 'standard',
                                  'parameters' => array( ) );
 
 $FunctionList['best_sell_list'] = array( 'name' => 'best_sell_list',
                                          'operation_types' => array( 'read' ),
-                                         'call_method' => array( 'include_file' => 'kernel/shop/ezshopfunctioncollection.php',
-                                                                 'class' => 'eZShopFunctionCollection',
+                                         'call_method' => array( 'class' => 'eZShopFunctionCollection',
                                                                  'method' => 'fetchBestSellList' ),
                                          'parameter_type' => 'standard',
                                          'parameters' => array( array( 'name' => 'top_parent_node_id',
@@ -77,8 +75,7 @@
 
 $FunctionList['related_purchase'] = array( 'name' => 'related_purchase',
                                          'operation_types' => array( 'read' ),
-                                         'call_method' => array( 'include_file' => 'kernel/shop/ezshopfunctioncollection.php',
-                                                                 'class' => 'eZShopFunctionCollection',
+                                         'call_method' => array( 'class' => 'eZShopFunctionCollection',
                                                                  'method' => 'fetchRelatedPurchaseList' ),
                                          'parameter_type' => 'standard',
                                          'parameters' => array( array( 'name' => 'contentobject_id',
@@ -90,8 +87,7 @@
 
 $FunctionList['wish_list'] = array( 'name' => 'wish_list',
                                     'operation_types' => array( 'read' ),
-                                    'call_method' => array( 'include_file' => 'kernel/shop/ezshopfunctioncollection.php',
-                                                            'class' => 'eZShopFunctionCollection',
+                                    'call_method' => array( 'class' => 'eZShopFunctionCollection',
                                                             'method' => 'fetchWishList' ),
                                     'parameter_type' => 'standard',
                                     'parameters' => array( array( 'name' => 'production_id',
@@ -108,8 +104,7 @@
 
 $FunctionList['wish_list_count'] = array( 'name' => 'wish_list_count',
                                           'operation_types' => array( 'read' ),
-                                          'call_method' => array( 'include_file' => 'kernel/shop/ezshopfunctioncollection.php',
-                                                                  'class' => 'eZShopFunctionCollection',
+                                          'call_method' => array( 'class' => 'eZShopFunctionCollection',
                                                                   'method' => 'fetchWishListCount' ),
                                           'parameter_type' => 'standard',
                                           'parameters' => array( array( 'name' => 'production_id',
@@ -117,8 +112,7 @@
                                                                         'required' => true ) ) );
 $FunctionList['order_status_history_count'] = array( 'name' => 'order_status_history_count',
                                                      'operation_types' => array( 'read' ),
-                                                     'call_method' => array( 'include_file' => 'kernel/shop/ezshopfunctioncollection.php',
-                                                                             'class' => 'eZShopFunctionCollection',
+                                                     'call_method' => array( 'class' => 'eZShopFunctionCollection',
                                                                              'method' => 'fetchOrderStatusHistoryCount' ),
                                                      'parameter_type' => 'standard',
                                                      'parameters' => array( array( 'name' => 'order_id',
@@ -126,17 +120,15 @@
                                                                                    'required' => true ) ) );
 $FunctionList['order_status_history'] = array( 'name' => 'order_status_history',
                                                'operation_types' => array( 'read' ),
-                                               'call_method' => array( 'include_file' => 'kernel/shop/ezshopfunctioncollection.php',
-                                                                       'class' => 'eZShopFunctionCollection',
-                                                                 'method' => 'fetchOrderStatusHistory' ),
+                                               'call_method' => array( 'class' => 'eZShopFunctionCollection',
+                                                                       'method' => 'fetchOrderStatusHistory' ),
                                                'parameter_type' => 'standard',
                                                'parameters' => array( array( 'name' => 'order_id',
                                                                              'type' => 'integer',
                                                                              'required' => true ) ) );
 $FunctionList['currency_list'] = array( 'name' => 'currency_list',
                                         'operation_types' => array( 'read' ),
-                                        'call_method' => array( 'include_file' => 'kernel/shop/ezshopfunctioncollection.php',
-                                                                'class' => 'eZShopFunctionCollection',
+                                        'call_method' => array( 'class' => 'eZShopFunctionCollection',
                                                                 'method' => 'fetchCurrencyList' ),
                                         'parameter_type' => 'standard',
                                         'parameters' => array( array( 'name' => 'status',
@@ -145,8 +137,7 @@
 
 $FunctionList['currency'] = array( 'name' => 'currency',
                                    'operation_types' => array( 'read' ),
-                                   'call_method' => array( 'include_file' => 'kernel/shop/ezshopfunctioncollection.php',
-                                                           'class' => 'eZShopFunctionCollection',
+                                   'call_method' => array( 'class' => 'eZShopFunctionCollection',
                                                            'method' => 'fetchCurrency' ),
                                    'parameter_type' => 'standard',
                                    'parameters' => array( array( 'name' => 'code',
@@ -155,24 +146,21 @@
 
 $FunctionList['preferred_currency_code'] = array( 'name' => 'preferred_currency_code',
                                                   'operation_types' => array( 'read' ),
-                                                  'call_method' => array( 'include_file' => 'kernel/shop/ezshopfunctioncollection.php',
-                                                                          'class' => 'eZShopFunctionCollection',
+                                                  'call_method' => array( 'class' => 'eZShopFunctionCollection',
                                                                           'method' => 'fetchPreferredCurrencyCode' ),
                                                   'parameter_type' => 'standard',
                                                   'parameters' => array( ) );
 
 $FunctionList['user_country'] = array( 'name' => 'user_country',
                                        'operation_types' => array( 'read' ),
-                                       'call_method' => array( 'include_file' => 'kernel/shop/ezshopfunctioncollection.php',
-                                                               'class' => 'eZShopFunctionCollection',
+                                       'call_method' => array( 'class' => 'eZShopFunctionCollection',
                                                                'method' => 'fetchUserCountry' ),
                                        'parameter_type' => 'standard',
                                        'parameters' => array( ) );
 
 $FunctionList['product_category_list'] = array( 'name' => 'product_category_list',
                                                 'operation_types' => array( 'read' ),
-                                                'call_method' => array( 'include_file' => 'kernel/shop/ezshopfunctioncollection.php',
-                                                                        'class' => 'eZShopFunctionCollection',
+                                                'call_method' => array( 'class' => 'eZShopFunctionCollection',
                                                                         'method' => 'fetchProductCategoryList' ),
                                                 'parameter_type' => 'standard',
                                                 'parameters' => array( ) );
@@ -180,8 +168,7 @@
 
 $FunctionList['product_category'] = array( 'name' => 'product_category',
                                                 'operation_types' => array( 'read' ),
-                                                'call_method' => array( 'include_file' => 'kernel/shop/ezshopfunctioncollection.php',
-                                                                        'class' => 'eZShopFunctionCollection',
+                                                'call_method' => array( 'class' => 'eZShopFunctionCollection',
                                                                         'method' => 'fetchProductCategory' ),
                                                 'parameter_type' => 'standard',
                                                 'parameters' => array( array( 'name' => 'category_id',
